Bug Hunting Session
Bug 102239 - START CENTER: Cant activate template categories from split button
Summary: START CENTER: Cant activate template categories from split button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Start-Center Template-Manager
  Show dependency treegraph
 
Reported: 2016-09-17 16:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-18 11:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-17 16:01:16 UTC
Steps:
1) Open start center
2) Open templates split button menu
3) Select impress templates
4) Nothing happens

Regression as this works fine in 5.2 daily. The workaround is to first click the templates button and then open the split button menu.

Version: 5.3.0.0.alpha0+
Build ID: 78404fe5549fded2eaf0c5ea6e1ca66039e995af
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-11_09:14:01
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Jean-Baptiste Faure 2016-09-17 17:29:13 UTC
Confirmed with Version: 5.3.0.0.alpha0+
Build ID: cea853720a66961ccd36246d67b26af23907de12
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group

built at home on 2016-09-16.

Best regards. JBF
Comment 2 Xisco Faulí 2016-09-19 08:49:12 UTC
Regression introduced by https://cgit.freedesktop.org/libreoffice/core/commit/?id=f10549961983b10148ba9ffe91a5e6c19bde909f

@Akshay, could you please take a look whenever you have time? Thanks
Comment 3 Commit Notification 2016-10-18 07:08:21 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae0dddd473ccaf8101b7df5b369e0506a5b4f30a

tdf#102239 START CENTER: Cant activate template categories from split button

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.